package com.yeejoin.precontrol.common.listener.event;

import com.alibaba.fastjson.JSONObject;

/**
 * @description: 基于spring事件机制做消息推送
 * @author: tb
 * @date: 2021-02-23 17:20
 **/
public class MessageEvent extends BaseEvent {


    public MessageEvent(Object source, String msg1) {
        super(source, msg1);
    }

    public MessageEvent(Object source, JSONObject msg2) {
        super(source, msg2);
    }

    public MessageEvent(Object source, Object objMsg) {
        super(source, objMsg);
    }
}
